package com.ylx.massage.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 评论表
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_comment")
@ApiModel(value = "TComment", description = "评论")
public class TComment implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("c_id")
    @ApiModelProperty("cId")
    private String cId;

    /**
     * 评论人头像
     */
    @TableField("c_icon")
    @ApiModelProperty("评论人头像")
    private String cIcon;

    /**
     * 评论人昵称
     */
    @TableField("c_nick_name")
    @ApiModelProperty("评论人昵称")
    private String cNickName;

    /**
     * 评论内容
     */
    @TableField("c_text")
    @ApiModelProperty("评论内容")
    private String cText;

    /**
     * 技师id
     */
    @TableField("c_jsid")
    @ApiModelProperty("技师id")
    private String cJsid;

    /**
     * 评论人openid
     */
    @TableField("c_open_id")
    @ApiModelProperty("评论人openid")
    private String cOpenId;

    /**
     * 评论分数
     */
    @TableField("n_star")
    @ApiModelProperty("评论分数")
    private Integer nStar;

    /**
     * 评论时间
     */
    @TableField("d_time")
    @ApiModelProperty("评论时间")
    private LocalDateTime dTime;

    /**
     * 技师姓名
     */
    @TableField("name")
    @ApiModelProperty("技师姓名")
    private String name;

    /**
     * 是否删除 0否1是
     */
    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;

    @TableField("order_no")
    @ApiModelProperty("订单号")
    private String orderNo;

    /**
     * 订单id
     */
    @TableField(exist = false)
    @ApiModelProperty("订单id")
    private String orderId;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getcId() {
        return cId;
    }

    public void setcId(String cId) {
        this.cId = cId;
    }

    public String getcIcon() {
        return cIcon;
    }

    public void setcIcon(String cIcon) {
        this.cIcon = cIcon;
    }

    public String getcNickName() {
        return cNickName;
    }

    public void setcNickName(String cNickName) {
        this.cNickName = cNickName;
    }

    public String getcText() {
        return cText;
    }

    public void setcText(String cText) {
        this.cText = cText;
    }

    public String getcJsid() {
        return cJsid;
    }

    public void setcJsid(String cJsid) {
        this.cJsid = cJsid;
    }

    public String getcOpenId() {
        return cOpenId;
    }

    public void setcOpenId(String cOpenId) {
        this.cOpenId = cOpenId;
    }

    public Integer getnStar() {
        return nStar;
    }

    public void setnStar(Integer nStar) {
        this.nStar = nStar;
    }

    public LocalDateTime getdTime() {
        return dTime;
    }

    public void setdTime(LocalDateTime dTime) {
        this.dTime = dTime;
    }
}
